The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Allow Malware Archive File

Prev Next

This URL adds the file hash to the allow list.

Resource URL

PUT /malwarearchive/action

Request Parameters

Payload Request Parameters:

Field Name Description Data Type Mandatory
fileHash Holds the hash value of the filename String Yes
action Action to be taken ''ALLOW" String Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
status Status returned by updation Number

Example

Request

PUT https://%3CNSM_IP%3E/sdkapi/malwarearchive/action

Payload:

{
"fileHash":" 0bea3f79a36b1f67b2ce0f595524c77c",
"action":"ALLOW"
} 

Response

{
"status":1
} 
 

Error Information

Following error codes are returned by this URL:

S.No HTTP Error Code SDK API errorId SDK API errorMessage
1 400 1001 internal error
2 400 3401 Invalid file hash value